﻿/*
 *	Copyright (c) 2008 by Simon Baer
 *	Copyright (c) 2010 by Vince Yuan http://www.cnblogs.com/VinceYuan
 * 
 *  You may use this code for whatever you want.
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TaskbarHide
{
	public partial class main : Form
	{
        private bool isTaskbarShown = true;
        private bool isExiting = false;
		public main()
		{
			InitializeComponent();
		}

		private void cmdHide_Click(object sender, EventArgs e)
		{
			Taskbar.Hide();
		}

		private void cmdShow_Click(object sender, EventArgs e)
		{
			Taskbar.Show();
		}

        private void notifyIcon1_DoubleClick(object sender, EventArgs e)
        {
            if (this.Visible)
            {
                this.WindowState = FormWindowState.Minimized;
                this.Hide();
            }
            else
            {
                this.Show();
                this.WindowState = FormWindowState.Normal;
            }
        }

        private void main_Load(object sender, EventArgs e)
        {
            //set icons
            this.Icon = TaskbarHide.Properties.Resources.Windows_VISTA;
            this.notifyIcon1.Icon = TaskbarHide.Properties.Resources.Windows_VISTA;

            //Init Hotkey
            this.systemHotkey1 = new Dxfcv222.SystemHotkey(this.components);
            this.systemHotkey1.Shortcut = System.Windows.Forms.Shortcut.CtrlQ;
            this.systemHotkey1.Pressed += new System.EventHandler(this.systemHotkey1_Pressed);

            
            this.Hide(); // do not show main form on startup
        }

        private void main_SizeChanged(object sender, EventArgs e)
        {
            if (this.WindowState == FormWindowState.Minimized)   
            {
                this.Hide();
            }
            else if (this.WindowState == FormWindowState.Normal)
            {
                this.Show();
            }
        }

        private void systemHotkey1_Pressed(object sender, EventArgs e)
        {
            if (isTaskbarShown)
            {
                Taskbar.Hide();
                isTaskbarShown = false;
            }
            else
            {
                Taskbar.Show();
                isTaskbarShown = true;
            }
        }

        private void restoreToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Show();
            this.WindowState = FormWindowState.Normal;
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            isExiting = true;
            this.Close();
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            FormAbout formAbout = new FormAbout();
            formAbout.Icon = TaskbarHide.Properties.Resources.Windows_VISTA;
            formAbout.ShowDialog();
        }

        private void main_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (!isExiting)
            {
                e.Cancel = true;   //Cancel closing
                this.WindowState = FormWindowState.Minimized;
            }
        }

	}
}
